
def generate_random_word(length, language='en'):
    import random
    import textual
    from textual import word_generator

    if language not in ['en', 'fr', 'de', 'es', 'it']:
        raise ValueError("Language not supported. Choose from 'en', 'fr', 'de', 'es', 'it'.")

    words = word_generator.generate_words(language=language, length=length)
    return random.choice(words)



